
#include "ObjSupported.h"

ObjSupported::ObjSupported(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : BitString(parent, db_id, PropId, label, layout, row, col) {
  addChecks();
}

ObjSupported::ObjSupported(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : BitString(parent, db_id, PropId, value, label, layout, row, col) {
  addChecks();
}

void ObjSupported::addChecks() {
  height = 5;

  addCheck(tr("Analog In"), 0);
  addCheck(tr("Analog Out"), 1);
  addCheck(tr("Analog Var"), 2);
  addCheck(tr("Calendar"), 6);
  addCheck(tr("Schedule"), 17);

  addCheck(tr("Digital In"), 3);
  addCheck(tr("Digital Out"), 4);
  addCheck(tr("Digital Var"), 5);
  addCheck(tr("Event"), 9);
  addCheck(tr("Event Class"), 15);

  addCheck(tr("Mult In"), 13);
  addCheck(tr("Mult Out"), 14);
  addCheck(tr("Mult Var"), 19);
  addCheck(tr("Program"), 16);
  addCheck(tr("Trend Log"), 20);

  addCheck(tr("File"), 10);
  addCheck(tr("Group"), 11);
  addCheck(tr("Loop"), 12);
  addCheck(tr("Command"), 7);
  addCheck(tr("Averaging"), 18);

  addCheck(tr("Life Point"), 21);
  addCheck(tr("Life Zone"), 22);
}

